import Vue from 'vue';

async function getAuditionList(page) {
    return Vue.axios.get("/admin/audition?page=" + (page - 1) + "&size=20");
}

async function createAudition(formData) {
    return Vue.axios.post("/admin/audition", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function updateAudition(formData) {
    return Vue.axios.put("/admin/audition", formData, {
        headers: {
            "Content-Type": "multipart/form-data",
        },
    });
}

async function getAuditionDetail(id) {
    return Vue.axios.get("/admin/audition/" + id);
}

export {
    getAuditionList, createAudition, updateAudition, getAuditionDetail
}
